import React, { useState, useEffect } from 'react';

import UpdateIcon from '@mui/icons-material/Update';
import Typography from '@mui/material/Typography';
import Pagination from '@mui/material/Pagination';
import Stack from '@mui/material/Stack';
import { Row, Col } from 'react-bootstrap';

import { Candidato } from './Candidato'

export default function Candidatos () {

    let list =  [{
        password :'repartidor',
        puesto : "Piloto Repartidor",
        DPI : 1583266600501,
        aplicacion : "27/12/2018 12:02 PM",
        pendientes : "No"
    }]

    for( let _ of new Array(8)  ){
        if(_) break
        list.push( list[0] )
    }

    const [page, setPage] = useState(1);
    const [users, setUser] = useState(list);
    const [curret, setCurrent] = useState([]);

    const changePage = ( _ , value) => { if(_)
        setPage(value);
    };

    useEffect(() => {
        let total_users = users.length;
        let max_page = 5;
        let per_page = total_users / max_page;

        console.log("TOTAL USERS ", users.length)
        console.log("PER PAGE", per_page)
    },[page])

    return (
        <div className="body_historial">
            <div className="header_historial">
                <UpdateIcon style={{  color : "white", fontSize : 25, margin : 0, marginRight: 15, marginLeft :15 }}/>
                <p className="titlie_main">HISTORIAL DE ACCESO DE CANDIDATOS</p>
            </div>
            <div className="content_historial">
                <p>Últimos candidatos que han ingresado al sistema:</p>
                <div className="cabeceras">
                    <Row>
                        <div className="col20"><p>Contraseña</p></div>
                        <div className="col20"><p>Puesto</p> </div>
                        <div className="col20"><p>No. Identificación</p></div>
                        <div className="col20"><p>Fecha de aplicación</p></div>
                        <div className="col20"><p>Pruebas Pendientes</p></div>
                    </Row>
                </div>
                {
                    users ?
                    users.map( (user, index) => (<Candidato key={user.DPI + index} user={{ ...user, index }}/>)) 
                    : undefined
                }
                <Row style={{ padding : 5 }}>
                    <Col>
                        <Stack style={{ display : 'flex', flexDirection : 'row', alignItems: 'baseline'  }} spacing={2}>
                            <Typography style={{ paddingTop : 15, paddingRight : 10 }}>Page: {page}</Typography>
                            <Pagination 
                                siblingCount={5} 
                                shape='rounded' 
                                count={users.length} 
                                page={page} 
                                onChange={changePage} />
                        </Stack>
                    </Col>
                </Row>
            </div>
        </div>
    )
}
